Package it.ernytech.tdlib

## Class TdApi.CreateNewSupergroupChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreateNewSupergroupChat

Enclosing class:
  TdApi

    public static class TdApi.CreateNewSupergroupChat
    extends TdApi.Function

Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Chat description; 0-255 characters.
`boolean` `isChannel` True, if a channel chat should be created.
`java.lang.String` `title` Title of the new chat; 1-255 characters.

### Constructor Summary

Constructors
`CreateNewSupergroupChat()` Default constructor.
`CreateNewSupergroupChat​(java.lang.String title, boolean isChannel, java.lang.String description)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### title

    public java.lang.String title

Title of the new chat; 1-255 characters.

#### isChannel

    public boolean isChannel

True, if a channel chat should be created.

#### description

    public java.lang.String description

Chat description; 0-255 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreateNewSupergroupChat

    public CreateNewSupergroupChat()

Default constructor.

#### CreateNewSupergroupChat

    public CreateNewSupergroupChat​(java.lang.String title,
                                   boolean isChannel,
                                   java.lang.String description)

Constructor for initialization of all fields.

Parameters:
  `title` - Title of the new chat; 1-255 characters.
  `isChannel` - True, if a channel chat should be created.
  `description` - Chat description; 0-255 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR